aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-17 12:38:26 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-17 12:38:26 +0000
commitc134007ab991a1c63dcab93e679c68929b0bb8ce (patch)
tree5ec2e1259864fcca78e91a5990ba8535fd00593e
parente6133eaa2e9b2589040a4130c5094fee9d2d180b (diff)
downloadaports-c134007ab991a1c63dcab93e679c68929b0bb8ce.tar.bz2
aports-c134007ab991a1c63dcab93e679c68929b0bb8ce.tar.xz
core/alpine-baselayout: default PATH fix
-rw-r--r--core/alpine-baselayout/0001-profile-change-default-path.patch22
-rw-r--r--core/alpine-baselayout/APKBUILD10
2 files changed, 29 insertions, 3 deletions
diff --git a/core/alpine-baselayout/0001-profile-change-default-path.patch b/core/alpine-baselayout/0001-profile-change-default-path.patch
new file mode 100644
index 0000000000..8f6945ce7b
--- /dev/null
+++ b/core/alpine-baselayout/0001-profile-change-default-path.patch
@@ -0,0 +1,22 @@
+From 963370a09dba86b661d4fec6f9152c219419f861 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Fri, 17 Jul 2009 12:35:21 +0000
+Subject: [PATCH] profile: change default path
+
+---
+ profile | 2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/profile b/profile
+index ef97cc8..a292008 100644
+--- a/profile
++++ b/profile
+@@ -1,4 +1,4 @@
+-export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
++export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ export PAGER=less
+ export PS1='\h:\w\$ '
+ umask 022
+--
+1.6.3.3
+
diff --git a/core/alpine-baselayout/APKBUILD b/core/alpine-baselayout/APKBUILD
index a993d6870c..ffa96bd446 100644
--- a/core/alpine-baselayout/APKBUILD
+++ b/core/alpine-baselayout/APKBUILD
@@ -1,16 +1,20 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-baselayout
pkgver=2.0_beta1
-pkgrel=0
+pkgrel=1
pkgdesc="Alpine base dir structure and init scripts"
url=http://git.alpinelinux.org/cgit/alpine-baselayout
depends=
-source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2"
+source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
+ 0001-profile-change-default-path.patch
+ "
license=GPL-2
build() {
cd "$srcdir"/$pkgname-$pkgver
+ patch -p1 < ../0001-profile-change-default-path.patch || return 1
make
make install PREFIX= DESTDIR="$pkgdir" || return 1
}
-md5sums="6b25fc0c261e9182a68582c38249a3e8 alpine-baselayout-2.0_beta1.tar.bz2"
+md5sums="6b25fc0c261e9182a68582c38249a3e8 alpine-baselayout-2.0_beta1.tar.bz2
+085c7e50bb57307fd9a24ee8c14e4749 0001-profile-change-default-path.patch"